This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 624365 - cpu flags missing from /proc/cpuinfo [rhel-5.5.z]
cpu flags missing from /proc/cpuinfo [rhel-5.5.z]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Jiri Pirko
Red Hat Kernel QE team
: Reopened, ZStream
Depends On: 570091
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-16 03:41 EDT by RHEL Product and Program Management
Modified: 2015-05-04 21:20 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-29 10:54:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2010-08-16 03:41:29 EDT
This bug has been copied from bug #570091 and has been proposed
to be backported to 5.5 z-stream (EUS).
Comment 3 Jiri Pirko 2010-08-28 05:22:28 EDT
in 2.6.18-194.13.1.el5
Comment 5 Jinxin Zheng 2010-09-14 08:11:59 EDT
I tested this on AMD and Intel separately.

For AMD:

with kernel-xen-2.6.18-194.11.3.el5, I see no svm flag on cpuinfo (from dom0):

# cat /proc/cpuinfo | grep svm

with kernel-xen-2.6.18-194.13.1.el5, the svm flag is back:

# cat /proc/cpuinfo | grep svm
flags		: fpu tsc msr pae cx8 apic mtrr cmov pat clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt lm 3dnowext 3dnow constant_tsc pni cx16 popcnt lahf_lm cmp_legacy svm cr8_legacy abm sse4a misalignsse

For Intel, the situation is similar:

kernel-xen-2.6.18-194.11.3.el5:
# cat /proc/cpuinfo | grep vmx

kernel-xen-2.6.18-194.13.1.el5:
# cat /proc/cpuinfo | grep vmx
flags		: fpu tsc msr pae cx8 apic mtrr cmov pat clflush acpi mmx fxsr sse sse2 ss ht syscall nx lm constant_tsc pni vmx est ssse3 cx16 sse4_1 lahf_lm

As a result, I'm putting this bug in VERIFIED.
Comment 6 Jinxin Zheng 2010-09-15 02:26:26 EDT
Tested again with kernel-xen-2.6.18-194.15.1.el5. Results are the same as in comment 5.
Comment 7 errata-xmlrpc 2010-09-29 10:54:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0723.html

Note You need to log in before you can comment on or make changes to this bug.